Rotate Google Secret
curl --request POST \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/auth/providers/google/rotate \
--header 'Content-Type: application/json' \
--cookie korve.session_token= \
--data '
{
"clientSecret": "<string>"
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/auth/providers/google/rotate"
payload = { "clientSecret": "<string>" }
headers = {
"cookie": "korve.session_token=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'korve.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({clientSecret: '<string>'})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/auth/providers/google/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"clientId": "<string>",
"secretConfigured": true,
"secretVersion": 123,
"rotatedAt": "2023-11-07T05:31:56Z"
}appauth
Rotate Google Secret
Replace the encrypted Google OAuth secret and increment its rotation version.
POST
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
auth
/
providers
/
google
/
rotate
Rotate Google Secret
Authorizations
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Write-only OAuth client secret.
⌘I